local AddParam = ScriptManager.instance

local function AEMVFSM_ParamBaseItems()

    local item = AddParam:getItem("Base.Acorn")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Acorn")
    end

    item = AddParam:getItem("Base.Allsorts")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Allsorts")
    end

    item = AddParam:getItem("Base.Antibiotics")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Antibiotics")
    end

    item = AddParam:getItem("Base.PieApple")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_PieApple")
    end

    item = AddParam:getItem("farming.Bacon")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Bacon")
    end

    item = AddParam:getItem("farming.BaconBits")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_BaconBits")
    end

    item = AddParam:getItem("farming.BaconRashers")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_BaconRashers")
    end
    
    item = AddParam:getItem("Base.BagelPlain")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_BagelPlain")
    end

    item = AddParam:getItem("Base.BaguetteDough")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_BaguetteDough")
    end

    item = AddParam:getItem("Base.Baguette")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Baguette")
    end

    item = AddParam:getItem("Base.CookieChocolateChipDough")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_CookiesBakingTray")
    end

    item = AddParam:getItem("Base.CookiesChocolateDough")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_CookiesBakingTray")
    end

    item = AddParam:getItem("Base.CookiesOatmealDough")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_CookiesBakingTray")
    end

    item = AddParam:getItem("Base.CookiesShortbreadDough")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_CookiesBakingTray")
    end

    item = AddParam:getItem("Base.CookiesSugarDough")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_CookiesBakingTray")
    end

    item = AddParam:getItem("Base.Baloney")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Baloney")
    end

    item = AddParam:getItem("Base.BaloneySlice")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_BaloneySlice")
    end

    item = AddParam:getItem("Base.Basil")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Basil")
    end

    item = AddParam:getItem("Base.BeautyBerry")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_BeautyBerry")
    end

    item = AddParam:getItem("Base.BerryBlack")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_BerryBlack")
    end

    item = AddParam:getItem("Base.BerryBlue")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_BerryBlue")
    end

    item = AddParam:getItem("Base.BerryGeneric1")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_BerryGeneric1")
    end

    item = AddParam:getItem("Base.BerryGeneric2")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_BerryGeneric2")
    end

    item = AddParam:getItem("Base.BerryGeneric3")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_BerryGeneric3")
    end

    item = AddParam:getItem("Base.BerryGeneric4")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_BerryGeneric4")
    end

    item = AddParam:getItem("Base.BerryGeneric5")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_BerryGeneric5")
    end

    item = AddParam:getItem("Base.BerryPoisonIvy")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_BerryWhite")
    end

    item = AddParam:getItem("Base.Beverage")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Beverage")
        item:DoParam("EatType" .. " = " .. "Bourbon")
    end

    item = AddParam:getItem("Base.Beverage2")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Beverage2")
        item:DoParam("EatType" .. " = " .. "Bourbon")
    end

    item = AddParam:getItem("Base.Biscuit")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Biscuit")
    end

    item = AddParam:getItem("Base.Blackbeans")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Blackbeans")
    end

    item = AddParam:getItem("Base.LicoriceBlack")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_LicoriceBlack")
    end

    item = AddParam:getItem("Base.BlackSage")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_BlackSage")
    end

    item = AddParam:getItem("Base.PieBlueberry")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_PieBlueberry")
    end

    item = AddParam:getItem("Base.EggBoiled")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_EggBoiled")
    end

    item = AddParam:getItem("Base.BouillonCube")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_BouillonCube")
    end

    item = AddParam:getItem("Base.BreadDough")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_BreadDough")
    end

    item = AddParam:getItem("Base.Bread")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Bread")
    end

    item = AddParam:getItem("Base.BreadSlices")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_BreadSlices")
    end

    item = AddParam:getItem("Base.SugarBrown")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_SugarBrown")
        item:DoParam("EatType" .. " = " .. "drink")
    end

    item = AddParam:getItem("Base.Burrito")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Burrito")
    end

    item = AddParam:getItem("Base.BurritoRecipe")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Burrito")
    end

    item = AddParam:getItem("Base.Butter")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Butter")
    end

    item = AddParam:getItem("Base.CakeRaw")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_CakeRaw")
    end

    item = AddParam:getItem("Base.CakePrep")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_CakePrep")
    end

    item = AddParam:getItem("Base.OatsRaw")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_OatsRaw")
        item:DoParam("EatType" .. " = " .. "drink")
    end

    item = AddParam:getItem("Base.CandyFruitSlices")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_CandyFruitSlices")
    end

    item = AddParam:getItem("Base.Candycane")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Candycane")
    end

    item = AddParam:getItem("Base.CandyCorn")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_CandyCorn")
    end

    item = AddParam:getItem("Base.SilkMothCaterpillar")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_SilkMothCaterpillar")
    end

    item = AddParam:getItem("Base.BandedWoolyBearCaterpillar")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_BandedWoolyBearCaterpillar")
    end

    item = AddParam:getItem("Base.MonarchCaterpillar")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_MonarchCaterpillar")
    end

    item = AddParam:getItem("Base.SawflyLarva")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_SawflyLarva")
    end

    item = AddParam:getItem("Base.AmericanLadyCaterpillar")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_AmericanLadyCaterpillar")
    end

    item = AddParam:getItem("Base.SwallowtailCaterpillar")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_SwallowtailCaterpillar")
    end

    item = AddParam:getItem("Base.Centipede")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Centipede")
    end

    item = AddParam:getItem("Base.Centipede2")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Centipede2")
    end

    item = AddParam:getItem("Base.Cereal")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Cereal")
        item:DoParam("EatType" .. " = " .. "drink")
    end

    item = AddParam:getItem("Base.Cheese")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Cheese")
    end

    item = AddParam:getItem("Base.CheeseSandwich")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_CheeseSandwich")
    end

    item = AddParam:getItem("Base.ChickenFoot")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_ChickenFoot")
    end

    item = AddParam:getItem("Base.ChickenNuggets")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_ChickenNuggets")
    end

    item = AddParam:getItem("Base.Crisps")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Crisps")
        item:DoParam("EatType" .. " = " .. "drink")
    end

    item = AddParam:getItem("Base.Crisps2")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Crisps2")
        item:DoParam("EatType" .. " = " .. "drink")
    end

    item = AddParam:getItem("Base.Crisps3")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Crisps3")
        item:DoParam("EatType" .. " = " .. "drink")
    end

    item = AddParam:getItem("Base.Crisps4")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Crisps4")
        item:DoParam("EatType" .. " = " .. "drink")
    end

    item = AddParam:getItem("Base.Chives")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Chives")
    end

    item = AddParam:getItem("Base.ChocoCakes")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_ChocoCakes")
    end

    item = AddParam:getItem("Base.Chocolate")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Chocolate")
    end

    item = AddParam:getItem("Base.Painauchocolat")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Painauchocolat")
    end

    item = AddParam:getItem("Base.CookieChocolateChip")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_CookieChocolateChip")
    end

    item = AddParam:getItem("Base.ChocolateChips")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_ChocolateChips")
    end

    item = AddParam:getItem("Base.CookiesChocolate")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_CookiesChocolate")
    end

    item = AddParam:getItem("Base.DoughnutChocolate")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_DoughnutChocolate")
    end

    item = AddParam:getItem("Base.ChocolateCoveredCoffeeBeans")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_ChocolateCoveredCoffeeBeans")
    end

    item = AddParam:getItem("Base.Cilantro")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Cilantro")
    end

    item = AddParam:getItem("Base.CinnamonRoll")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_CinnamonRoll")
    end

    item = AddParam:getItem("Base.Cockroach")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Cockroach")
    end

    item = AddParam:getItem("Base.CocoaPowder")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_CocoaPowder")
        item:DoParam("EatType" .. " = " .. "drink")
    end

    item = AddParam:getItem("Base.Coffee2")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Coffee2")
        item:DoParam("EatType" .. " = " .. "drink")
    end

    item = AddParam:getItem("Base.CommonMallow")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_CommonMallow")
    end

    item = AddParam:getItem("Base.Cone")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Cone")
    end

    item = AddParam:getItem("Base.Cornbread")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Cornbread")
    end

    item = AddParam:getItem("Base.Crackers")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Crackers")
    end

    item = AddParam:getItem("Base.Crayfish")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Crayfish")
    end

    item = AddParam:getItem("Base.Cricket")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Cricket")
    end

    item = AddParam:getItem("Base.Croissant")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Croissant")
    end

    item = AddParam:getItem("Base.Cupcake")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Cupcake")
    end

    item = AddParam:getItem("Base.Dandelions")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Dandelions")
    end

    item = AddParam:getItem("Base.DeadBird")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_DeadBird")
    end

    item = AddParam:getItem("Base.DeadRabbit")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_DeadRabbit")
    end

    item = AddParam:getItem("Base.DeadSquirrel")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_DeadSquirrel")
    end

    item = AddParam:getItem("Base.DehydratedMeatStick")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_DehydratedMeatStick")
    end

    item = AddParam:getItem("Base.Dough")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Dough")
    end

    item = AddParam:getItem("Base.DoughnutPlain")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_DoughnutPlain")
    end

    item = AddParam:getItem("Base.DriedBlackBeans")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_DriedBlackBeans")
    end

    item = AddParam:getItem("Base.DriedChickpeas")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_DriedChickpeas")
    end

    item = AddParam:getItem("Base.DriedKidneyBeans")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_DriedKidneyBeans")
    end

    item = AddParam:getItem("Base.DriedLentils")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_DriedLentils")
    end

    item = AddParam:getItem("Base.DriedSplitPeas")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_DriedSplitPeas")
    end

    item = AddParam:getItem("Base.DriedWhiteBeans")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_DriedWhiteBeans")
    end

    item = AddParam:getItem("Base.Ramen")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Ramen")
    end

    item = AddParam:getItem("Base.Edamame")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Edamame")
    end

    item = AddParam:getItem("Base.Egg")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Egg")
    end

    item = AddParam:getItem("Base.SushiEgg")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_SushiEgg")
    end

    item = AddParam:getItem("Base.FishFillet")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_FishFillet")
    end

    item = AddParam:getItem("Base.FishRoe")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_FishRoe")
    end

    item = AddParam:getItem("Base.SushiFish")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_SushiFish")
    end

    item = AddParam:getItem("Base.FishFried")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_FishFried")
    end

    item = AddParam:getItem("Base.FriedOnionRings")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_FriedOnionRings")
    end

    item = AddParam:getItem("Base.FriedOnionRingsCraft")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_FriedOnionRings")
    end

    item = AddParam:getItem("Base.OystersFried")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_OystersFried")
    end

    item = AddParam:getItem("Base.ShrimpFriedCraft")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_ShrimpFried")
    end

    item = AddParam:getItem("Base.ShrimpFried")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_ShrimpFried")
    end

    item = AddParam:getItem("Base.TofuFried")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_TofuFried")
    end

    item = AddParam:getItem("Base.Fries")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Fries")
    end

    item = AddParam:getItem("Base.FrogMeat")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_FrogMeat")
    end

    item = AddParam:getItem("Base.DoughnutFrosted")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_DoughnutFrosted")
    end

    item = AddParam:getItem("Base.JamFruit")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_JamFruit")
        item:DoParam("EatType" .. " = " .. "plate")
    end

    item = AddParam:getItem("Base.MuffinFruit")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_MuffinFruit")
    end

    item = AddParam:getItem("Base.GingerPickled")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_GingerPickled")
    end

    item = AddParam:getItem("Base.GingerRoot")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_GingerRoot")
    end

    item = AddParam:getItem("Base.Ginseng")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Ginseng")
    end

    item = AddParam:getItem("Base.GrahamCrackers")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_GrahamCrackers")
    end

    item = AddParam:getItem("Base.GranolaBar")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_GranolaBar")
    end

    item = AddParam:getItem("Base.GrapeLeaves")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_GrapeLeaves")
    end

    item = AddParam:getItem("Base.Grapefruit")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_GrapeFruit")
        item:DoParam("EatType" .. " = " .. "2hand")
    end

    item = AddParam:getItem("Base.Grapes")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Grapes")
    end

    item = AddParam:getItem("Base.Grasshopper")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Grasshopper")
    end

    item = AddParam:getItem("Base.Gravy")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Gravy")
        item:DoParam("EatType" .. " = " .. "Bourbon")
    end

    item = AddParam:getItem("Base.GrilledCheese")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_GrilledCheese")
    end

    item = AddParam:getItem("Base.MincedMeat")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_MincedMeat")
    end

    item = AddParam:getItem("Base.Guacamole")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Guacamole")
    end

    item = AddParam:getItem("Base.Gum")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Gum")
    end

    item = AddParam:getItem("Base.GummyBears")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_GummyBears")
    end

    item = AddParam:getItem("Base.GummyWorms")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_GummyWorms")
    end

    item = AddParam:getItem("Base.PepperHabanero")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_PepperHabanero")
    end

    item = AddParam:getItem("Base.Ham")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Ham")
    end

    item = AddParam:getItem("Base.HamSlice")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_HamSlice")
    end

    item = AddParam:getItem("Base.HardCandies")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_HardCandies")
    end

    item = AddParam:getItem("Base.HiHis")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_HiHis")
    end

    item = AddParam:getItem("Base.HollyBerry")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_HollyBerry")
    end

    item = AddParam:getItem("Base.Honey")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Honey")
        item:DoParam("EatType" .. " = " .. "drink")
        item:DoParam("CustomEatSound" .. " = " .. "DrinkingFromBottlePlastic")
    end

    item = AddParam:getItem("Base.Hotsauce")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Hotsauce")
        item:DoParam("EatType" .. " = " .. "drink")
        item:DoParam("CustomEatSound" .. " = " .. "DrinkingFromBottleGlass")
    end

    item = AddParam:getItem("Base.Icecream")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Icecream")
        item:DoParam("EatType" .. " = " .. "plate")
    end

    item = AddParam:getItem("Base.ConeIcecreamToppings")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_ConeIcecreamToppings")
    end

    item = AddParam:getItem("Base.ConeIcecream")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_ConeIcecream")
    end

    item = AddParam:getItem("Base.Icing")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Icing")
    end

    item = AddParam:getItem("Base.Popcorn")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Popcorn")
    end

    item = AddParam:getItem("Base.HalloweenPumpkin")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_HalloweenPumpkin")
    end

    item = AddParam:getItem("Base.PepperJalapeno")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_PepperJalapeno")
    end

    item = AddParam:getItem("Base.DoughnutJelly")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_DoughnutJelly")
    end

    item = AddParam:getItem("Base.JellyBeans")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_JellyBeans")
    end

    item = AddParam:getItem("Base.JuiceBox")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_JuiceBox")
        item:DoParam("EatType" .. " = " .. "popcan")
    end

    item = AddParam:getItem("Base.Jujubes")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Jujubes")
    end

    item = AddParam:getItem("Base.Ketchup")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Ketchup")
        item:DoParam("EatType" .. " = " .. "drink")
        item:DoParam("CustomEatSound" .. " = " .. "DrinkingFromBottlePlastic")
    end

    item = AddParam:getItem("Base.PieKeyLime")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_PieKeyLime")
    end

    item = AddParam:getItem("Base.Lard")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Lard")
    end

    item = AddParam:getItem("Base.PieLemonMeringue")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_PieLemonMeringue")
    end

    item = AddParam:getItem("Base.LemonGrass")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_LemonGrass")
    end

    item = AddParam:getItem("Base.Lobster")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Lobster")
    end

    item = AddParam:getItem("Base.Lollipop")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Lollipop")
    end

    item = AddParam:getItem("Base.Macandcheese")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Macandcheese")
        item:DoParam("EatType" .. " = " .. "drink")
    end

    item = AddParam:getItem("Base.Maggots")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Maggots")
    end

    item = AddParam:getItem("Base.Maki")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Maki")
    end

    item = AddParam:getItem("Base.Mango")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Mango")
    end

    item = AddParam:getItem("Base.MapleSyrup")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_MapleSyrup")
        item:DoParam("EatType" .. " = " .. "drink")
        item:DoParam("CustomEatSound" .. " = " .. "DrinkingFromBottleGlass")
    end

    item = AddParam:getItem("Base.Margarine")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Margarine")
    end

    item = AddParam:getItem("Base.Marinara")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Marinara")
        item:DoParam("EatType" .. " = " .. "plate")
    end

    item = AddParam:getItem("Base.JamMarmalade")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_JamMarmalade")
        item:DoParam("EatType" .. " = " .. "plate")
    end

    item = AddParam:getItem("Base.Marshmallows")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Marshmallows")
    end

    item = AddParam:getItem("Base.MeatDumpling")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_MeatDumpling")
    end

    item = AddParam:getItem("Base.MeatPatty")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_MeatPatty")
    end

    item = AddParam:getItem("Base.MeatSteamBun")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_MeatSteamBun")
    end

    item = AddParam:getItem("Base.IcecreamMelted")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Icecream")
        item:DoParam("EatType" .. " = " .. "plate")
    end

    item = AddParam:getItem("Base.ConeIcecreamMelted")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_ConeIcecreamMelted")
    end

    item = AddParam:getItem("Base.Millipede")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Millipede")
    end

    item = AddParam:getItem("Base.Millipede2")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Millipede2")
    end

    item = AddParam:getItem("Base.MintCandy")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_MintCandy")
    end

    item = AddParam:getItem("Base.MixedVegetables")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_MixedVegetables")
    end

    item = AddParam:getItem("Base.Modjeska")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Modjeska")
    end

    item = AddParam:getItem("Base.MuffinGeneric")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_MuffinGeneric")
    end

    item = AddParam:getItem("Base.MushroomGeneric1")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_MushroomGeneric1")
    end

    item = AddParam:getItem("Base.MushroomGeneric2")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_MushroomGeneric2")
    end

    item = AddParam:getItem("Base.MushroomGeneric3")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_MushroomGeneric3")
    end

    item = AddParam:getItem("Base.MushroomGeneric4")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_MushroomGeneric4")
    end

    item = AddParam:getItem("Base.MushroomGeneric5")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_MushroomGeneric5")
    end

    item = AddParam:getItem("Base.MushroomGeneric6")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_MushroomGeneric6")
    end

    item = AddParam:getItem("Base.MushroomGeneric7")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_MushroomGeneric7")
    end

    item = AddParam:getItem("Base.Mustard")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Mustard")
        item:DoParam("EatType" .. " = " .. "drink")
        item:DoParam("CustomEatSound" .. " = " .. "DrinkingFromBottlePlastic")
    end

    item = AddParam:getItem("Base.MuttonChop")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_MuttonChop")
    end

    item = AddParam:getItem("Base.Nettles")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Nettles")
    end

    item = AddParam:getItem("Base.CookiesOatmeal")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_CookiesOatmeal")
    end

    item = AddParam:getItem("Base.OilOlive")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_OilOlive")
        item:DoParam("EatType" .. " = " .. "drink")
        item:DoParam("CustomEatSound" .. " = " .. "DrinkingFromBottleGlass")
    end

    item = AddParam:getItem("Base.EggOmelette")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_EggOmelette")
    end

    item = AddParam:getItem("Base.OmeletteRecipe")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_EggOmelette")
    end

    item = AddParam:getItem("Base.Onigiri")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Onigiri")
    end

    item = AddParam:getItem("Base.OnionRings")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_OnionRings")
    end

    item = AddParam:getItem("Base.Oregano")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Oregano")
    end

    item = AddParam:getItem("Base.Oysters")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Oysters")
    end

    item = AddParam:getItem("Base.CornFrozen")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_CornFrozen")
    end

    item = AddParam:getItem("Base.PancakesCraft")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Pancakes")
    end

    item = AddParam:getItem("Base.PancakesRecipe")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_PancakesRecipe")
    end

    item = AddParam:getItem("Base.Pancakes")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Pancakes")
    end

    item = AddParam:getItem("Base.Parsley")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Parsley")
    end

    item = AddParam:getItem("Base.Pasta")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Pasta")
    end

    item = AddParam:getItem("Base.PastaPan")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_PastaPan")
        item:DoParam("EatType" .. " = " .. "plate")
    end

    item = AddParam:getItem("Base.PastaPot")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_PastaPot")
        item:DoParam("EatType" .. " = " .. "Pot")
    end

    item = AddParam:getItem("Base.PeanutButter")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_PeanutButter")
        item:DoParam("EatType" .. " = " .. "plate")
    end

    item = AddParam:getItem("Base.PeanutButterSandwich")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_PeanutButterSandwich")
    end

    item = AddParam:getItem("Base.Peanuts")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Peanuts")
    end

    item = AddParam:getItem("Base.Pear")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Pear")
    end

    item = AddParam:getItem("Base.Peas")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Peas")
    end

    item = AddParam:getItem("Base.Pepper")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Pepper")
    end

    item = AddParam:getItem("Base.Peppermint")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Peppermint")
    end

    item = AddParam:getItem("Base.Pepperoni")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Pepperoni")
    end

    item = AddParam:getItem("Base.Perch")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Perch")
    end

    item = AddParam:getItem("Base.Perogies")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Perogies")
    end

    item = AddParam:getItem("Base.Pickles")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Pickles")
    end

    item = AddParam:getItem("Base.PieWholeRaw")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_PiePrep")
    end

    item = AddParam:getItem("Base.PieWholeRawSweet")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_PiePrep")
    end

    item = AddParam:getItem("Base.PiePrep")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_PiePrep")
    end

    item = AddParam:getItem("Base.Pie")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Pie")
    end

    item = AddParam:getItem("Base.Pike")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Pike")
    end

    item = AddParam:getItem("Base.Pillbug")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Pillbug")
    end

    item = AddParam:getItem("Base.Pineapple")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Pineapple")
    end

    item = AddParam:getItem("Base.PizzaWhole")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_PizzaWhole")
    end

    item = AddParam:getItem("Base.PizzaRecipe")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_PizzaRecipe")
    end

    item = AddParam:getItem("Base.Pizza")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Pizza")
    end

    item = AddParam:getItem("Base.Plonkies")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Plonkies")
    end

    item = AddParam:getItem("Base.EggPoached")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_EggPoached")
    end

    item = AddParam:getItem("Base.BagelPoppy")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_BagelPoppy")
    end

    item = AddParam:getItem("Base.PorkChop")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_PorkChop")
    end

    item = AddParam:getItem("farming.Potato")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Potato")
    end

    item = AddParam:getItem("Base.PotatoPancakes")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_PotatoPancakes")
    end

    item = AddParam:getItem("Base.Beer2")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Beverage2")
        item:DoParam("EatType" .. " = " .. "Bourbon")
    end

    item = AddParam:getItem("Base.Beer")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Beverage")
        item:DoParam("EatType" .. " = " .. "Bourbon")
    end

    item = AddParam:getItem("Base.Pretzel")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Pretzel")
    end

    item = AddParam:getItem("Base.Processedcheese")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Processedcheese")
    end

    item = AddParam:getItem("Base.Pumpkin")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Pumpkin")
    end

    item = AddParam:getItem("Base.PiePumpkin")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_PiePumpkin")
    end

    item = AddParam:getItem("Base.QuaggaCakes")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_QuaggaCakes")
    end

    item = AddParam:getItem("Base.Rabbitmeat")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Rabbitmeat")
    end

    item = AddParam:getItem("Base.CookieJelly")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_CookieJelly")
    end

    item = AddParam:getItem("Base.LicoriceRed")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_LicoriceRed")
    end

    item = AddParam:getItem("Base.RefriedBeans")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_RefriedBeans")
    end

    item = AddParam:getItem("Base.Rice")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Rice")
    end

    item = AddParam:getItem("Base.RicePan")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_RicePan")
        item:DoParam("EatType" .. " = " .. "plate")
    end

    item = AddParam:getItem("Base.RicePot")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_RicePot")
        item:DoParam("EatType" .. " = " .. "Pot")
    end

    item = AddParam:getItem("Base.RicePaper")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_RicePaper")
    end

    item = AddParam:getItem("Base.RiceVinegar")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_RiceVinegar")
        item:DoParam("EatType" .. " = " .. "drink")
        item:DoParam("CustomEatSound" .. " = " .. "DrinkingFromBottleGlass")
    end

    item = AddParam:getItem("Base.RockCandy")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_RockCandy")
    end

    item = AddParam:getItem("Base.Smallanimalmeat")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Smallanimalmeat")
    end

    item = AddParam:getItem("Base.DoughRolled")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_DoughRolled")
    end

    item = AddParam:getItem("Base.Rosehips")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Rosehips")
    end

    item = AddParam:getItem("Base.Rosemary")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Rosemary")
    end

    item = AddParam:getItem("Base.Sage")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Sage")
    end

    item = AddParam:getItem("Base.Salami")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Salami")
    end

    item = AddParam:getItem("Base.SalamiSlice")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_SalamiSlice")
    end

    item = AddParam:getItem("Base.Salmon")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Salmon")
    end

    item = AddParam:getItem("Base.Salt")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Salt")
    end

    item = AddParam:getItem("Base.WaterSaucepanPasta")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_SaucePanPastaRice")
        item:DoParam("EatType" .. " = " .. "plate")
    end

    item = AddParam:getItem("Base.WaterSaucepanRice")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_SaucePanPastaRice")
        item:DoParam("EatType" .. " = " .. "plate")
    end

    item = AddParam:getItem("Base.Sausage")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Sausage")
    end

    item = AddParam:getItem("Base.EggScrambled")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_EggScrambled")
    end

    item = AddParam:getItem("Base.Seaweed")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Seaweed")
    end

    item = AddParam:getItem("Base.BagelSesame")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_BagelSesame")
    end

    item = AddParam:getItem("Base.CookiesShortbread")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_CookiesShortbread")
    end

    item = AddParam:getItem("Base.Shrimp")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Shrimp")
    end

    item = AddParam:getItem("Base.ShrimpDumpling")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_ShrimpDumpling")
    end

    item = AddParam:getItem("Base.Slug")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Slug")
    end

    item = AddParam:getItem("Base.Slug2")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Slug2")
    end

    item = AddParam:getItem("Base.Smallbirdmeat")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Smallbirdmeat")
    end

    item = AddParam:getItem("Base.Smore")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Smore")
    end

    item = AddParam:getItem("Base.Snail")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Snail")
    end

    item = AddParam:getItem("Base.SnoGlobes")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_SnoGlobes")
    end

    item = AddParam:getItem("Base.Soysauce")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Soysauce")
        item:DoParam("EatType" .. " = " .. "drink")
        item:DoParam("CustomEatSound" .. " = " .. "DrinkingFromBottleGlass")
    end

    item = AddParam:getItem("Base.Springroll")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Springroll")
    end

    item = AddParam:getItem("Base.Squid")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Squid")
    end

    item = AddParam:getItem("Base.SquidCalamari")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_SquidCalamari")
    end

    item = AddParam:getItem("Base.Steak")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Steak")
    end

    item = AddParam:getItem("Base.PanFriedVegetables")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_PanFriedVegetables")
        item:DoParam("EatType" .. " = " .. "plate")
    end

    item = AddParam:getItem("Base.GriddlePanFriedVegetables")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_GriddlePanFriedVegetables")
        item:DoParam("EatType" .. " = " .. "plate")
    end

    item = AddParam:getItem("Base.Sugar")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Sugar")
        item:DoParam("EatType" .. " = " .. "drink")
    end

    item = AddParam:getItem("Base.CookiesSugar")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_CookiesSugar")
    end

    item = AddParam:getItem("Base.SugarPacket")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_SugarPacket")
    end

    item = AddParam:getItem("Base.Panfish")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Panfish")
    end

    item = AddParam:getItem("Base.SunflowerSeeds")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_SunflowerSeeds")
    end

    item = AddParam:getItem("Base.Taco")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Taco")
    end

    item = AddParam:getItem("Base.TacoRecipe")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Taco")
    end

    item = AddParam:getItem("Base.TacoShell")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_TacoShell")
    end

    item = AddParam:getItem("Base.Teabag2")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Teabag2")
    end

    item = AddParam:getItem("Base.Termites")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Termites")
    end

    item = AddParam:getItem("Base.Thistle")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Thistles")
    end

    item = AddParam:getItem("Base.Thyme")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Thyme")
    end

    item = AddParam:getItem("Base.Toast")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Toast")
    end

    item = AddParam:getItem("Base.Tofu")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Tofu")
    end

    item = AddParam:getItem("Base.TomatoPaste")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_TomatoPaste")
        item:DoParam("EatType" .. " = " .. "drink")
    end

    item = AddParam:getItem("Base.Tortilla")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Tortilla")
    end

    item = AddParam:getItem("Base.TortillaChips")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_TortillaChips")
    end

    item = AddParam:getItem("Base.Trout")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Trout")
    end

    item = AddParam:getItem("Base.OilVegetable")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_OilVegetable")
        item:DoParam("EatType" .. " = " .. "drink")
        item:DoParam("CustomEatSound" .. " = " .. "DrinkingFromBottlePlastic")
    end

    item = AddParam:getItem("Base.Violets")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Violets")
    end

    item = AddParam:getItem("Base.WafflesRecipe")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_WafflesRecipe")
    end

    item = AddParam:getItem("Base.Waffles")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Waffles")
    end

    item = AddParam:getItem("Base.Wasabi")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Wasabi")
    end

    item = AddParam:getItem("Base.WatermelonSmashed")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_WatermelonSmashed")
    end

    item = AddParam:getItem("Base.WatermelonSliced")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_WatermelonSliced")
    end

    item = AddParam:getItem("Base.WildEggs")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_WildEggs")
    end

    item = AddParam:getItem("Base.WildGarlic2")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_WildGarlic2")
    end

    item = AddParam:getItem("Base.WinterBerry")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_WinterBerry")
    end

    item = AddParam:getItem("Base.Worm")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Worm")
    end

    item = AddParam:getItem("Base.Yoghurt")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Yoghurt")
        item:DoParam("EatType" .. " = " .. "2hand")
    end

    item = AddParam:getItem("Base.WineInGlass")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_WineInGlass")
        item:DoParam("EatType" .. " = " .. "Bourbon")
    end

    ------------------1.04

    item = AddParam:getItem("Base.PlasticCupWater")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Beverage2")
        item:DoParam("EatType" .. " = " .. "Bourbon")
    end

    item = AddParam:getItem("Base.GlassTumblerWater")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Beverage")
        item:DoParam("EatType" .. " = " .. "Bourbon")
    end

    item = AddParam:getItem("Base.GlassWineWater")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_WineInGlass")
        item:DoParam("EatType" .. " = " .. "Bourbon")
    end

    item = AddParam:getItem("Base.Milk")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Milk")
    end

    ------------------1.05

    item = AddParam:getItem("Base.PanFriedVegetables2")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_RoastVegetable")
        item:DoParam("EatType" .. " = " .. "plate")
        item:DoParam("WorldStaticModel" .. " = " .. "AEMVFSM.WM_RoastVegetable")
    end

    item = AddParam:getItem("Base.WaterPotPasta")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_PastaPot")
    end

    item = AddParam:getItem("Base.WaterPotRice")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_RicePot")
    end

    item = AddParam:getItem("Base.PotOfSoupRecipe")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_SoupStewPot")
    end

    item = AddParam:getItem("Base.PotOfSoup")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_SoupStewPot")
    end

    item = AddParam:getItem("Base.PotOfStew")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_SoupStewPot")
    end

    item = AddParam:getItem("Base.WaterPot")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_WaterPot")
    end

    ------------------1.06

    item = AddParam:getItem("Base.Apple")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Apple")
    end

    item = AddParam:getItem("Base.Avocado")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Avocado")
    end

    item = AddParam:getItem("Base.Bass")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Bass")
    end

    item = AddParam:getItem("Base.BeefJerky")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_BeefJerky")
    end

    item = AddParam:getItem("Base.BellPepper")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_BellPepper")
    end

    item = AddParam:getItem("farming.BloomingBroccoli")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_BloomingBroccoli")
    end

    item = AddParam:getItem("Base.Broccoli")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Broccoli")
    end

    item = AddParam:getItem("Base.CakeBlackForest")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_CakeBlackForest")
    end

    item = AddParam:getItem("Base.Burger")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Burger")
    end

    item = AddParam:getItem("Base.BurgerRecipe")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Burger")
    end

    item = AddParam:getItem("farming.Cabbage")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Cabbage")
    end

    item = AddParam:getItem("Base.CakeSlice")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_CakeSlice")
    end

    item = AddParam:getItem("Base.CakeCarrot")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_CakeCarrot")
    end

    item = AddParam:getItem("Base.Carrots")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Carrots")
    end

    item = AddParam:getItem("Base.Catfish")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Catfish")
    end

    item = AddParam:getItem("Base.CakeCheeseCake")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_CakeCheeseCake")
    end

    item = AddParam:getItem("Base.Cherry")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Cherry")
    end

    item = AddParam:getItem("Base.Chicken")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Chicken")
    end

    item = AddParam:getItem("Base.CakeChocolate")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_CakeChocolate")
    end

    item = AddParam:getItem("Base.ChickenFried")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_ChickenFried")
    end

    item = AddParam:getItem("Base.Corn")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Corn")
    end

    item = AddParam:getItem("Base.Corndog")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Corndog")
    end

    item = AddParam:getItem("Base.Crappie")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Crappie")
    end

    item = AddParam:getItem("Base.Daikon")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Daikon")
    end

    item = AddParam:getItem("Base.DeadRat")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_DeadRat")
    end

    item = AddParam:getItem("Base.Eggplant")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Eggplant")
    end

    item = AddParam:getItem("Base.Hotdog")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Hotdog")
        item:DoParam("EatType" .. " = " .. "eat")
    end

    item = AddParam:getItem("Base.Leek")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Leek")
    end

    item = AddParam:getItem("Base.Lettuce")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Lettuce")
    end

    item = AddParam:getItem("Base.Lemon")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Lemon")
    end

    item = AddParam:getItem("Base.Lime")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Lime")
    end

    item = AddParam:getItem("Base.BaitFish")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_BaitFish")
    end

    item = AddParam:getItem("Base.Onion")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Onion")
    end

    item = AddParam:getItem("farming.RedRadish")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Radish")
    end

    item = AddParam:getItem("Base.CakeRedVelvet")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_CakeRedVelvet")
    end

    item = AddParam:getItem("farming.RemouladeFull")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_RemouladeFull")
    end

    item = AddParam:getItem("farming.Strewberrie")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Strawberry")
    end

    item = AddParam:getItem("Base.CakeStrawberryShortcake")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_CakeStrawberryShortcake")
    end

    item = AddParam:getItem("farming.Tomato")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Tomato")
    end

    item = AddParam:getItem("Base.Zucchini")
    if item then
        item:DoParam("StaticModel" .. " = " .. "AEMVFSM.SM_Zucchini")
    end
end

AEMVFSM_ParamBaseItems()

Events.OnInitGlobalModData.Add(AEMVFSM_ParamBaseItems)